Subject: Re: bug#37756: [PATCH] Wrong initialization of fringe bitmap

From: Carlos Pita <[email-masked]>
Date: Wed, 16 Oct 2019 15:54:01 -0300

I've done as you asked, Eli. Sorry but I'm still trying to catch up
with many of your conventions.

I'm not sure about how to designate the modified function in the
changelog, since it's a DEFUN.
From dd69833c5a1aa6a89cac4cc3b9419c1dabbe50ed Mon Sep 17 00:00:00 2001
From: memeplex <[email-masked]>
Date: Wed, 16 Oct 2019 13:44:00 -0300
Subject: [PATCH] Remove redundant and incomplete initialization of fringe
 bitmap

* src/fringe.c (define-fringe-bitmap): Remove redundant zeroing
of fb.bits that only zeroed half of the array anyway. Bug#37756.
---
 src/fringe.c | 1 -
 1 file changed, 1 deletion(-)

diff --git a/src/fringe.c b/src/fringe.c
index 22f3bdc..08bf271 100644
--- a/src/fringe.c
+++ b/src/fringe.c
@@ -1607,7 +1607,6 @@ list (ALIGN PERIODIC) where PERIODIC non-nil specifies that the bitmap
   fb.bits = b = ((unsigned short *)
 		 ptr_bounds_clip (xfb + 1, fb.height * BYTES_PER_BITMAP_ROW));
   xfb = ptr_bounds_clip (xfb, sizeof *xfb);
-  memset (b, 0, fb.height);
 
   j = 0;
   while (j < fb.height)
-- 
2.20.1